﻿'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Namespace LightSwitchApplication

    ''' <summary>
    ''' Defines the names of the application permissions.
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
    Public Module Permissions

        ''' <summary>
        ''' Provides the ability to manage security for the application.
        ''' </summary>
        Public Const SecurityAdministration As String = Global.Microsoft.LightSwitch.Security.ApplicationPermissions.SecurityAdministration
        ''' <summary>
        ''' Add Edit Delete Customer
        ''' </summary>
        Public Const AddEditDeleteCustomer As String = "LightSwitchApplication:AddEditDeleteCustomer"
        ''' <summary>
        ''' Add Edit Delete Daily Accounts
        ''' </summary>
        Public Const AddEditDeleteDailyAccounts As String = "LightSwitchApplication:AddEditDeleteDailyAccounts"
        ''' <summary>
        ''' Add Edit Delete Daily Expense Details
        ''' </summary>
        Public Const AddEditDeleteExpenseDetails As String = "LightSwitchApplication:AddEditDeleteExpenseDetails"
        ''' <summary>
        ''' Add Edit Delete Daily Expense Header
        ''' </summary>
        Public Const AddEditDeleteExpenseHeaders As String = "LightSwitchApplication:AddEditDeleteExpenseHeaders"
        ''' <summary>
        ''' Add Edit Delete Daily Inventory Header
        ''' </summary>
        Public Const AddEditDeleteInventoryHeaders As String = "LightSwitchApplication:AddEditDeleteInventoryHeaders"
        ''' <summary>
        ''' Add Edit Delete Daily Inventory Details
        ''' </summary>
        Public Const AddEditDeleteInventoryDetails As String = "LightSwitchApplication:AddEditDeleteInventoryDetails"
        ''' <summary>
        ''' Add Edit Delete Daily Products
        ''' </summary>
        Public Const AddEditDeleteProducts As String = "LightSwitchApplication:AddEditDeleteProducts"
        ''' <summary>
        ''' Add Edit Delete Sales Details
        ''' </summary>
        Public Const AddEditDeleteSalesDetails As String = "LightSwitchApplication:AddEditDeleteSalesDetails"
        ''' <summary>
        ''' Add Edit Delete Sales Header
        ''' </summary>
        Public Const AddEditDeleteSalesHeader As String = "LightSwitchApplication:AddEditDeleteSalesHeader"
        ''' <summary>
        ''' Add Edit Delete Taxes
        ''' </summary>
        Public Const AddEditDeleteTaxes As String = "LightSwitchApplication:AddEditDeleteTaxes"
        ''' <summary>
        ''' Access All Sales Report
        ''' </summary>
        Public Const AccessAllSalesScreen As String = "LightSwitchApplication:AccessAllSalesScreen"
        ''' <summary>
        ''' Access Create New Sale Screen
        ''' </summary>
        Public Const AccessCreateNewSaleScreen As String = "LightSwitchApplication:AccessCreateNewSaleScreen"
        ''' <summary>
        ''' Access Customer List Detail Screen
        ''' </summary>
        Public Const AccessCustomerListDetailScreen As String = "LightSwitchApplication:AccessCustomerListDetailScreen"
        ''' <summary>
        ''' Access Daily Accounts Screen
        ''' </summary>
        Public Const AccessDailyAccountsScreen As String = "LightSwitchApplication:AccessDailyAccountsScreen"
        ''' <summary>
        ''' Acces Employee List Detail Screen
        ''' </summary>
        Public Const AccesEmployeeListDetailScreen As String = "LightSwitchApplication:AccesEmployeeListDetailScreen"
        ''' <summary>
        ''' Access Expense List Detail Screen
        ''' </summary>
        Public Const AccessExpenseListDetailScreen As String = "LightSwitchApplication:AccessExpenseListDetailScreen"
        ''' <summary>
        ''' Access Expense Report Screen
        ''' </summary>
        Public Const AccessExpenseReportScreen As String = "LightSwitchApplication:AccessExpenseReportScreen"
        ''' <summary>
        ''' Access Inventory List Detail Screen
        ''' </summary>
        Public Const AccessInventoryListDetailScreen As String = "LightSwitchApplication:AccessInventoryListDetailScreen"
        ''' <summary>
        ''' Access Invoice Details Screen
        ''' </summary>
        Public Const AccessInvoiceDetailsScreen As String = "LightSwitchApplication:AccessInvoiceDetailsScreen"
        ''' <summary>
        ''' Access Invoice List Details Screen
        ''' </summary>
        Public Const AccessInvoiceListDetailsScreen As String = "LightSwitchApplication:AccessInvoiceListDetailsScreen"
        ''' <summary>
        ''' Access Invoice Headers List Details Screen
        ''' </summary>
        Public Const AccessInvoiceHeadersListDetailsScreen As String = "LightSwitchApplication:AccessInvoiceHeadersListDetailsScreen"
        ''' <summary>
        ''' Access Invoice Report Screen
        ''' </summary>
        Public Const AccessInvoiceReportScreen As String = "LightSwitchApplication:AccessInvoiceReportScreen"
        ''' <summary>
        ''' Access Sales Order Header List Screen
        ''' </summary>
        Public Const AccessSalesOrderHeaderListScreen As String = "LightSwitchApplication:AccessSalesOrderHeaderListScreen"
        ''' <summary>
        ''' Access Supplies List Detail Screen
        ''' </summary>
        Public Const AccessSuppliesListDetailScreen As String = "LightSwitchApplication:AccessSuppliesListDetailScreen"
        ''' <summary>
        ''' Access Taxes List Detail Screen
        ''' </summary>
        Public Const AccessTaxesListDetailScreen As String = "LightSwitchApplication:AccessTaxesListDetailScreen"
        ''' <summary>
        ''' Access Inventory Report Screen
        ''' </summary>
        Public Const AccessInventoryReportScreen As String = "LightSwitchApplication:AccessInventoryReportScreen"
        ''' <summary>
        ''' Access Product List Detail Screen
        ''' </summary>
        Public Const AccessProductListDetailScreen As String = "LightSwitchApplication:AccessProductListDetailScreen"
        ''' <summary>
        ''' Add Edit Delete Suppliers
        ''' </summary>
        Public Const AddEditDeleteSuppliers As String = "LightSwitchApplication:AddEditDeleteSuppliers"
        ''' <summary>
        ''' Add Edit Delete Invoice Headers
        ''' </summary>
        Public Const AddEditDeleteInvoiceHeader As String = "LightSwitchApplication:AddEditDeleteInvoiceHeader"
        ''' <summary>
        ''' Add Edit Delete Invoice Details
        ''' </summary>
        Public Const AddEditDeleteInvoiceDetails As String = "LightSwitchApplication:AddEditDeleteInvoiceDetails"
        ''' <summary>
        ''' Add Edit Delete Employee
        ''' </summary>
        Public Const AddEditDeleteEmployee As String = "LightSwitchApplication:AddEditDeleteEmployee"
        ''' <summary>
        ''' Add Edit Delete Invoice Payments
        ''' </summary>
        Public Const AddEditDeleteInvoicePayments As String = "LightSwitchApplication:AddEditDeleteInvoicePayments"
        ''' <summary>
        ''' Access Invoice Payments
        ''' </summary>
        Public Const AccessInvoicePayments As String = "LightSwitchApplication:AccessInvoicePayments"
        ''' <summary>
        ''' Manage Store Info like Name, Address etc
        ''' </summary>
        Public Const AddEditDeleteStoreDetails As String = "LightSwitchApplication:AddEditDeleteStoreDetails"
        ''' <summary>
        ''' Do Bulk Invoice Payment
        ''' </summary>
        Public Const AddBulkInvoicePay As String = "LightSwitchApplication:AddBulkInvoicePay"
        ''' <summary>
        ''' Do Bulk Customer Sale Order Payment
        ''' </summary>
        Public Const AddBulkSaleOrderPay As String = "LightSwitchApplication:AddBulkSaleOrderPay"

        ''' <summary>
        ''' Gets all permissions defined for the application.  This includes system and user-defined permissions.
        ''' </summary>
        Public ReadOnly Property AllPermissions() As Global.System.Collections.ObjectModel.ReadOnlyCollection(Of String)
            Get
                Return Global.Microsoft.LightSwitch.Security.ApplicationPermissions.AllPermissions
            End Get
        End Property

    End Module

End Namespace
